Create override
POST
/api/v1/schedules/{name}/overrides
const url = 'https://example.com/api/v1/schedules/example/overrides';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"contactId":"example","end":"2026-04-15T12:00:00Z","reason":"example","schedule":"example","start":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/schedules/example/overrides \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "contactId": "example", "end": "2026-04-15T12:00:00Z", "reason": "example", "schedule": "example", "start": "2026-04-15T12:00:00Z" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”name
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
contactId
required
string
end
required
string format: date-time
reason
string
schedule
required
string
start
required
string format: date-time
Examplegenerated
{ "contactId": "example", "end": "2026-04-15T12:00:00Z", "reason": "example", "schedule": "example", "start": "2026-04-15T12:00:00Z"}Responses
Section titled “Responses”Created
Media typeapplication/json
object
contactId
required
string
createdAt
required
string format: date-time
createdBy
required
string
end
required
string format: date-time
id
required
string
reason
string
scheduleId
required
string
start
required
string format: date-time
tenantId
required
string
Examplegenerated
{ "contactId": "example", "createdAt": "2026-04-15T12:00:00Z", "createdBy": "example", "end": "2026-04-15T12:00:00Z", "id": "example", "reason": "example", "scheduleId": "example", "start": "2026-04-15T12:00:00Z", "tenantId": "example"}default
Section titled “default”Problem Details (RFC 9457)
Media typeapplication/problem+json
object
code
required
string
detail
string
instance
string
status
required
integer
title
required
string
type
required
string
Examplegenerated
{ "code": "example", "detail": "example", "instance": "example", "status": 1, "title": "example", "type": "example"}